r.support(1)

NAME
r.support - Allows creation and/or modification of raster map layer support files.

KEYWORDS
raster, metadata

SYNOPSIS
r.support
r.support --help
r.support [-snd] map=name [title=phrase] [history=phrase] [units=string] [vdatum=string] [source1=phrase] [source2=phrase] [description=phrase] [raster=string] [loadhistory=name] [savehistory=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-s
    Update statistics (histogram, range)

-n
    Create/reset the null file

-d
    Delete the null file

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of raster map

title=phrase
    Text to use for map title

history=phrase
    Text to append to the next line of the map’s metadata file

units=string
    Text to use for map data units

vdatum=string
    Text to use for map vertical datum

source1=phrase
    Text to use for data source, line 1

source2=phrase
    Text to use for data source, line 2

description=phrase
    Text to use for data description or keyword(s)

raster=string
    Raster map from which to copy category table

loadhistory=name
    Text file from which to load history

savehistory=name
    Text file in which to save history

DESCRIPTION
r.support allows the user to create and/or edit raster map support information. Editing of raster map color tables, category labels, header, history, and title is supported. Category labels can also be copied from another raster map.

NOTES
If metadata options such as title or history are given the module will run non-interactively. If only the map name is given r.support will run interactively within a terminal shell and the user with be prompted for input.

Freeform metadata information is stored in a "hist" file which may be appended to by using the history option. Currently this is limited to 50 lines of text with a maximum line length of 78 characters. Any input larger than this will be wrapped to the next line. All other metadata strings available as standard options are limited to 79 characters.

SEE ALSO
r.category, r.describe, r.info, r.null, r.region, r.report, r.timestamp

AUTHORS
Micharl Shapiro, CERL: Original author
Brad Douglas: GRASS 6 Port
M. Hamish Bowman: command line enhancements
Markus Neteler: category copy from other map

Last changed: $Date: 2011-11-08 22:24:20 +0100 (Ășt, 08 11 2011) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual